curl
curl -sS -X PUT "https://gateway.orbit/api/v1/routes/9/target" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81' \
-H 'Content-Type: application/json' \
-d '{"instance_id": 4, "targets": [1], "dispositions": [{"instance_id": 4}]}'
{
"data": {
"id": 123,
"kind": "<string>",
"project_id": 123,
"node_id": 123,
"cluster_id": 123,
"generation_basis_node_id": 123,
"domain": "<string>",
"provenance": "<string>",
"publication": "<string>",
"status": "<string>",
"failed_step": "<string>",
"error_code": "<string>",
"replaces_route_id": 123,
"replaced_by_route_id": 123,
"replacement_step": "<string>",
"target_set_step": "<string>",
"target": {
"id": 123,
"instance_id": 123,
"position": 123
},
"targets": [
{
"id": 123,
"instance_id": 123,
"position": 123
}
],
"process_id": 123,
"upstream": "<string>",
"analytics_instance_id": 123,
"web_root": "<string>"
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Routes
Set the Route target
Set the configured Route target or a complete production target set.
PUT
/
api
/
v1
/
routes
/
{route}
/
target
curl
curl -sS -X PUT "https://gateway.orbit/api/v1/routes/9/target" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81' \
-H 'Content-Type: application/json' \
-d '{"instance_id": 4, "targets": [1], "dispositions": [{"instance_id": 4}]}'
{
"data": {
"id": 123,
"kind": "<string>",
"project_id": 123,
"node_id": 123,
"cluster_id": 123,
"generation_basis_node_id": 123,
"domain": "<string>",
"provenance": "<string>",
"publication": "<string>",
"status": "<string>",
"failed_step": "<string>",
"error_code": "<string>",
"replaces_route_id": 123,
"replaced_by_route_id": 123,
"replacement_step": "<string>",
"target_set_step": "<string>",
"target": {
"id": 123,
"instance_id": 123,
"position": 123
},
"targets": [
{
"id": 123,
"instance_id": 123,
"position": 123
}
],
"process_id": 123,
"upstream": "<string>",
"analytics_instance_id": 123,
"web_root": "<string>"
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Path Parameters
Numeric Route ID.
Required range:
x >= 1Body
application/json